/**
 * Feuille de styles des tableaux
 *
 * @author Jean-Luc Guigné
 */

/* Alignement de cellules au centre*/
.ctr{
	text-align: center;
}

/* Alignement de cellules à droite*/
.rgt{
	text-align: right !important;
}

/* Alignement de cellules à gauche*/
.lft{
	text-align: left;
}

/*Classe d'un tableau*/
.tbl{
	border-collapse: collapse;
	background-color: white;
	padding:0px;
	margin: 2px 0px 0px 0px;
}

/*Classe d'une entête de colonne de tableau*/
.tbl th{
	white-space: nowrap;
	padding: 0px 1px 2px 0px;
}

/* classe image en entête - utilisée pour la sélection multiple */
.tbl th img{
	cursor: pointer;
	margin: 3px 0px 2px 2px;
}

/* Classe d'une entête de colonne de tableau en remplacement du lien de tri*/
.tbl th span {
	text-decoration:none;
	white-space: nowrap;
	padding-left: 11px;
	margin: 0;
	float: none;
}

/* Le style pour mettre en rouge l'astérique de colonne obligatoire est définie dans Field.css->.tbl th em*/

/*Classe d'une entête de colonne de tableau qui contient au moins un champ en erreur*/
.tbl th.error, .tbl th.error a {
	color: #be260c !important;
}

/*Classe d'une cellule de tableau*/
.tbl tbody td{
	margin: 0px ;
	padding : 2px 3px 3px 3px; /* S'ajoute la marge propre au champ contenu*/
	border: 1px #d4d8e3 solid;
}


/**
* style sur les tableau pour avoir un alignement vertical top
*/
table.vatop tbody td {
	vertical-align: top;
}

/**
* style sur les tableau pour avoir un alignement vertical middle
*/
table.vamid tbody td {
	vertical-align: middle;
}

/*Classe d'une cellule de tableau masquée (cas des identifiants ne devant pas être affichés)*/
.tbl tbody td.msk, .tbl th.msk{
	display: none;
}

.tbl th img.unmsk{
	display:inline;
}

/* Classe d'un champ d'une cellule de tableau en mode EDIT */
.tbl tbody td input {
	float: none !important;
}

/* Classe d'un champ d'une cellule de tableau en mode INSPECT */
.tbl tbody td span {
	float: none !important;
}

/* Classe d'un champ d'une cellule de pied de tableau en mode INSPECT */
.tbl tfoot td span {
	float: none !important; 
}
/* Alterner couleur sur les lignes paires et impaires*/
.tbl tr.even {
	background-color: white;
}
.tbl tr.odd {
	background-color: white;
}

/***** Gestion de la sélection des lignes ******/
/*le tbody porte deux styles : ts si le tableau est sélectionnable et tas/tss/tms selon le type de sélection (active, simple ou multiple) */

/*Gestion du rollover sur une cellule du tableau */
.tbl tr.sel td a:hover {
	text-decoration: none;  /*Force la disparition du souligné au passage du curseur*/ 
	color: white; /*Hack IE sans l'attribut color il ne prend pas en compte le text-decoration: none */
}
.tbl td a:hover {
	text-decoration: none; /* Force la disparition du souligné au passage du curseur */
}

/*Classe d'une ligne de tableau pour le rollover de sélection de ligne
	Comme d'hab, particularité pour Môsieur IE qui ne gère pas le :hover sur des tr. nécessaire de le gérer via JS (style high) */
.tbl tbody.ts tr:hover, .tbl tbody.ts tr:focus, .tbl tbody.ts tr.high   {
	background-color: #D5E8EB;
	text-decoration: none;
	cursor: default;
}

/* Pour la sélection simple et multiple, un clic sur la ligne la sélectionne donc présente d'un changement de curseur*/
.tbl tbody.tss tr:hover, .tbl tbody.tss tr:focus, .tbl tbody.tss tr.high, .tbl tbody.tss tr.sel, .tbl tbody.tms tr:hover, .tbl tbody.tms tr:focus, .tbl tbody.tms tr.high, .tbl tbody.tms tr.sel    {
	cursor: default;
}

/**Classe d'une ligne de tableau sélectionnée
	Attention l'ordre est important par rapport au style du rollover de ligne (sinon pb sur FF)*/
.tbl tbody.ts tr.sel, .tbl tbody.ts tr.sel span {
	background-color: #2F8D99;
	color : white;
}

/* Les champs en INSPECT passent en blanc sur une ligne sélectionnée*/
.tbl tbody.ts tr.sel span, .tbl tbody.ts tr.sel label.rdo {
	color: white !important;
}

/* Pour les boutons d'une ligne selectionnée, on laisse le texte en gris*/
.tbl tbody.ts tr.sel button.sec span {
    color: #6d6b6c !important;
}

/*Classe d'une cellule de pied de tableau "tft" */
/* Style particulier "tftt" pour les cellules de pied de colonne typé "titre". Identique dans cette CG à une cellule de pied de tableau
	typé "standard" */
.tft, .tftt { 
	padding : 2px 2px 3px 2px;
    vertical-align: middle;
	text-decoration: none;
	border: 1px #d4d8e3 solid;
}


/* Style pour les liens des sélection active dans les tableaux */
.tbl tbody td a span, .tbl tbody td a:visited span {
	text-decoration: underline;
}

.tbl tbody td a:hover span {
	text-decoration: none;
}

.tbl tbody td a p, .tbl tbody td a:visited p {
	text-decoration: underline;
	cursor :hand;
}

.tbl tbody td a:hover p, .tbl tbody td a:hover span {
	text-decoration: none;
}

.tbl tbody td a:hover span {
	cursor :hand;
}

/* Style communs des entetes de tableaux triées */
.tbl th a {
	white-space: nowrap;
	text-decoration: none;
	padding-left: 11px;
}

/* Style des entetes non triees de tableaux : par defaut, visite */
a.tctm {
	background-position: left center;
	background-image: url(../../common/images/bullets/BulletTopAndBottomTriangleBlack.gif);
    background-repeat: no-repeat;
    color:#000000;
}

a.tctm:link, a.tctm:visited {
	text-decoration:none;
}

a.tctm:hover {
	text-decoration: underline;
}

/* Style des entetes triees (asc) de tableaux */
a.tcth {
	background-position: left center;
	background-image: url(../../common/images/bullets/BulletTopTriangleBlack.gif);
    background-repeat: no-repeat;
	color:#000000;
}

a.tcth:link, a.tcth:visited {
	text-decoration:none;
}

a.tcth:hover {
	text-decoration: underline;
}

/* Style des entetes triable en mode ascendant uniquement de tableaux */
a.tctmh {
	background-position: left center;
	background-image: url(../../common/images/bullets/BulletTopOnlyTriangleBlack.gif);
    background-repeat: no-repeat;
    color:#000000;
}

a.tctmh:link, a.tctmh:visited {
	text-decoration:none;
}

a.tctmh:hover {
	text-decoration: underline;
}

/* Style des entetes triees (desc) de tableaux */
a.tctb {
	background-position: left center;
	background-image: url(../../common/images/bullets/BulletBottomTriangleBlack.gif);
    background-repeat: no-repeat;
    color:#000000;
}

a.tctb:link, a.tctb:visited {
	text-decoration:none;
}

a.tctb:hover {
	text-decoration: underline;
}

/* Style des entetes triees en mode descendant uniquement de tableaux */
a.tctmb {
	background-position: left center;
	background-image: url(../../common/images/bullets/BulletBottomOnlyTriangleBlack.gif);
    background-repeat: no-repeat;
    color:#000000;
}

a.tctmb:link, a.tctmb:visited {
	text-decoration:none;
}

a.tctmb:hover {
	text-decoration: underline;
}

/* Style des entêtes de colonnes de tableaux triables, ascendant, avec action de tri désactivée */
a.tcthd {
	background-position: left center;
	background-image: url(../../common/images/bullets/BulletTopTriangleBlack.gif);
    background-repeat: no-repeat;
    cursor: default;
    color:#000000;
}

a.tcthd:hover, a.tcthd:link, a.tcthd:visited {
	text-decoration:none;
}

/* Style des entêtes de colonnes de tableaux triables, descendant, avec action de tri désactivée */
a.tctbd {
	background-position: left center;
	background-image: url(../../common/images/bullets/BulletBottomTriangleBlack.gif);
    background-repeat: no-repeat;
    cursor: default;
    color:#000000;
}

a.tctbd:hover, a.tctbd:link, a.tctbd:visited {
	text-decoration:none;
}

/* Style d'une sélection désactivée sur une ligne donnée du tableau */
.seldis {
	cursor: default !important; 
}

/* Style d'une image d'une cellule de tableau masquée (cas des identifiants ne devant pas être affichés)*/
.tbl img.msk{
	display: none;
}



/* Styles d'un tableau borderless */
.tborderless, .tborderless thead th, .tborderless tbody td, .tborderless tfoot td{
	border: 0;
}

/* Alterner couleur sur les lignes paires et impaires*/
.tborderless tr.even {
	background-color: white;
}
.tborderless tr.odd {
	background-color: white;
}



/*****************************************************************************************/
/*** Spécialisation des CSS de la skin par défaut INTERNET pour InternetV2             ***/
/*****************************************************************************************/


/************************************/
/*** Tableaux		              ***/
/************************************/

/*Classe d'une ligne de tableau pour le rollover de sélection de ligne
	Comme d'hab, particularité pour Môsieur IE qui ne gère pas le :hover sur des tr. nécessaire de le gérer via JS (style high) */
.tbl tbody.ts tr:hover, .tbl tbody.ts tr:focus, .tbl tbody.ts tr.high   {
	background-color:  #CDE6FA;
}
/**Classe d'une ligne de tableau sélectionnée.
	Attention l'ordre est important par rapport au style du rollover de ligne (sinon pb sur FF)*/
.tbl tbody.ts tr.sel, .tbl tbody.ts tr.sel span {
	background-color: #A6A6A6;
}

.tbl{
	background-color: transparent;
}

/**
 * Suppression des bordures gauche et droite pour éviter le doublement des bordures avec celles des blocs
 */
.tbl tr {
    border-left: 0px hidden transparent;
    border-right: 0px hidden transparent;
}

.tbl tr.even {
    background-color: transparent;
}

.tbl tr.odd {
    background-color: #F3FAFF;
}

.tbl th {
    color: #014495;
    padding: 2px 1px;
}

a.tctm, a.tcth, a.tctmh, a.tctb, a.tctmb, a.tcthd, a.tctbd {
	color: #014495;
}

.tbl tbody td.default, .tbl tbody td.required {
    padding-top: 2px;
    padding-bottom: 3px;
}

/* .tbl tbody td {
	margin: 0px;
    padding: 2px 3px 3px 3px;
    border: 1px solid #CCCCCC;
    line-height: 13px
} */

/* Styles d'un tableau borderless */
.tborderless, .tborderless thead th, .tborderless tbody td, .tborderless tfoot td{
	border: 0;
}

/* Alterner couleur sur les lignes paires et impaires*/
.tborderless tr.even {
	background-color: transparent;
}
.tborderless tr.odd {
	background-color: transparent;
}

/* boutons insérés dans les tableaux */
.tbl td .btn span {
	background-color: transparent !important; 
}

/* Style pour les boutons en sélection active dans les tableaux */
.tbl td a .btn span, .tbl td a:visited .btn span {
	text-decoration: none;
}

.tbl td a:hover .btn span {
	text-decoration: underline;
}



